Description

Is it possible to model the project privacy behaviour to the following pattern:

Public: seen by all. (Default public)

Restricted: seen by only registered users.

Private: seen only by the project user list. (Default not public)

This comes from the need to have a redmine instance to comunicate with outside users, in which some projects must remain secret

from them until they are released. This is useful because before the project is launched the dev team may use redmine to aid in

development, and after the project is released anonymous users may submit bug reports.

History

#1 - 2008-09-29 13:28 - Pedro Coelho

Also, is it possible for a plugin to implement this?

#2 - 2008-10-07 19:03 - Karl DeBisschop

We also have a need to do this. We have vendors that we would like to collaborate with using Redmine. But there are other projects that are in the

system that involve bid information taht their competitors may have given. We really cannot let those projects be visible if we open the site to our

vendors.

I'd like to be able to create a class of users that can only see the projects to which they are assigned, and all other projects would be hidden to this

class of user. In other words, just like the Public/Restricted/Private breakdown above, along with the ability to set a default status for my instance of

Redmine (So I could say "by default, when a project is created, make it Private)

As I think on this, I can't help but feel that I want a user attribute to help with this - we typically want to share information as broadly as possible within

our company, so I guess I'd like to have the idea that a project was "Company Internal" so all projects that were "Company Internal" would be visible

to anyone in the company, but not to vendors or contractors.

#3 - 2008-10-07 19:45 - Azamat Hackimov

Pedro Coelho wrote:

Is it possible to model the project privacy behaviour to the following pattern:

Public: seen by all. (Default public)

Restricted: seen by only registered users.

Private: seen only by the project user list. (Default not public)

 First and last can be done (attribute Public in project settings), but second - partially. You can restrict access to various data trough "Roles and

permissions" settings.

#4 - 2011-03-23 10:48 - Toshi MARUYAMA

- Category set to Permissions and roles

#5 - 2012-05-17 17:22 - K. Scott Tripp

This would be a very useful feature to have.

Right now our implementation is restricted to only registered users, so a "public" project accomplishes this, but at some point we will likely want to

host open source projects on the same server... so we would need the third layer of access control.
